## javax.help
Class DefaultHelpModel.DefaultHighlight

    java.lang.Object
      javax.help.DefaultHelpModel.DefaultHighlight

All Implemented Interfaces:
  TextHelpModel.Highlight

Enclosing class:
  DefaultHelpModel

public static class DefaultHelpModel.DefaultHighlight
extends java.lang.Object
implements TextHelpModel.Highlight

A default implementation of TextHelpModel.Highlight

Field Summary
`int` `end`
`int` `start`

Constructor Summary
`DefaultHelpModel.DefaultHighlight(int start, int end)` Constructor

Method Summary
`int` `getEndOffset()` End offset
`int` `getStartOffset()` Start offset

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    public int start

### end

    public int end

Constructor Detail

### DefaultHelpModel.DefaultHighlight

    public DefaultHelpModel.DefaultHighlight(int start,
                                             int end)

  Constructor

Method Detail

### getStartOffset

    public int getStartOffset()

  Start offset

  Specified by:
    `getStartOffset` in interface `TextHelpModel.Highlight`
  Returns:
    The starting offset >= 0.

### getEndOffset

    public int getEndOffset()

  End offset

  Specified by:
    `getEndOffset` in interface `TextHelpModel.Highlight`
  Returns:
    The ending offset >= 0.